﻿$packageName = 'puppet-agent'
$url32       = 'https://release-archives.puppet.com/downloads/windows/puppet-agent-1.5.3-x86.msi'
$url64       = 'https://release-archives.puppet.com/downloads/windows/puppet-agent-1.5.3-x64.msi'
$checksum32  = '18271e1605917b11bcffa63d7b005c9c1a61831ac8d35fb233a0f2949c7ce1f3'
$checksum64  = '5bb25dd132ed050d0ab92793f0372d77e27fd174bf2686fd91382a79a6327f6a'


$packageArgs = @{
  packageName    = $packageName
  fileType       = 'MSI'
  url            = $url32
  url64bit       = $url64
  checksum       = $checksum32
  checksum64     = $checksum64
  checksumType   = 'sha256'
  checksumType64 = 'sha256'
  silentArgs     = "/qn /norestart"
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
